aboutsummaryrefslogtreecommitdiff
path: root/etc/turboboost.sh
diff options
context:
space:
mode:
authorGravatar Andres Erbsen <andreser@mit.edu>2017-07-05 13:26:29 -0400
committerGravatar Andres Erbsen <andreser@mit.edu>2017-07-05 13:26:29 -0400
commit15552175f8de1f03817c66a82bc93cb4e18dc809 (patch)
treec147ac82fe42362fde024668a3ee89606cc0d57d /etc/turboboost.sh
parent0a0a7db3bd132eab9a36c1f8fa901dc7ea20b8e7 (diff)
etc: add scripts to control turbo boost and hyper threading
Diffstat (limited to 'etc/turboboost.sh')
-rwxr-xr-xetc/turboboost.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/etc/turboboost.sh b/etc/turboboost.sh
new file mode 100755
index 000000000..f336660ec
--- /dev/null
+++ b/etc/turboboost.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -eu
+
+case $1 in
+ on) echo 0 > /sys/devices/system/cpu/intel_pstate/no_turbo ;;
+ off) echo 1 > /sys/devices/system/cpu/intel_pstate/no_turbo ;;
+ *) echo "USAGE: $0 <on|off>" ; exit 111
+esac